﻿$ErrorActionPreference = 'Stop';

$softVersion = '5.7.8'
$shortVersion = '5.7.8'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"
$altUrl        = "https://sourceforge.net/projects/mrviewer/files/archive/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$altUrl64      = "https://sourceforge.net/projects/mrviewer/files/archive/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
	$hasUrl = Test-URL $url
	if ( -Not $hasUrl )
	{
		Write-Host "No URL"
        	$url = $altUrl;
	}
}
Else
{
	$programFiles = $env:ProgramW6432
	$hasUrl = Test-URL $url64
	if ( -Not $hasUrl )
	{
		Write-Host "No URL64"
        	$url64 = $altUrl64;
	}
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = 'BE87691BD81F122993E6E4457311A52280BB0D98EB6AFC16277CC800358AEDD7'
  checksumType  = 'sha256'
  checksum64    = 'B527548056905D0D15488043BC9FCFA1957EBD86A1C8EAE5203DD55138494884'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs

$target = Join-Path $programFiles "${packageName}-v${shortVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'


$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")
$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -TargetPath "${target}/${packageName}.exe"

Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -targetPath "${target}/${packageName}.exe"
